package dev.peerat.framework.auth;

import dev.peerat.framework.HttpReader;
import dev.peerat.framework.RequestType;
import dev.peerat.framework.User;

public interface Authenticator<U extends User>{

	U getUser(String token) throws Exception;
	
	String createAuthUser(U user) throws Exception;
	
	User isLogin(RequestType type, HttpReader reader) throws Exception;
	
}
